package com.lightinit.hsdataplatformresdir.model.admin;

import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public class APIPublishInfoAndSettingModel {

    //资源ID
    private Long resourceId ;
    //状态
    private String publishState ;
    //数据标签
    private String dataTag ;
    //资源图片
    private String resourceImg ;
    //发布渠道
    private String publishChannel;
    //共享条件
    private String shareCondition;
    //开放条件
    private String openCondition;
    //关联表
    private List<APIPublishSettingModel> apiPublishSettingList ;

    private MultipartFile fileImg ;

    public MultipartFile getFileImg() {
        return fileImg;
    }

    public void setFileImg(MultipartFile fileImg) {
        this.fileImg = fileImg;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public String getResourceImg() {
        return resourceImg;
    }

    public void setResourceImg(String resourceImg) {
        this.resourceImg = resourceImg;
    }

    public String getPublishChannel() {
        return publishChannel;
    }

    public void setPublishChannel(String publishChannel) {
        this.publishChannel = publishChannel;
    }

    public String getShareCondition() {
        return shareCondition;
    }

    public void setShareCondition(String shareCondition) {
        this.shareCondition = shareCondition;
    }

    public String getOpenCondition() {
        return openCondition;
    }

    public void setOpenCondition(String openCondition) {
        this.openCondition = openCondition;
    }

    public List<APIPublishSettingModel> getApiPublishSettingList() {
        return apiPublishSettingList;
    }

    public void setApiPublishSettingList(List<APIPublishSettingModel> apiPublishSettingList) {
        this.apiPublishSettingList = apiPublishSettingList;
    }
}
